MODULE(1)

module

SYNOPSIS
module [options] sub-command [args ...]

DESCRIPTION
This tool allow a user to control their environment by load and unloading modulefiles. See https://lmod.readthedocs.org for more details.

OPTIONS

-h -? -H --help
    This help message

-s availStyle --style=availStyle
    Site controlled avail style: system (default: system)

--regression_testing
    Lmod regression testing

-b --brief
    brief listing with only user specified modules

-D  Program tracing written to stderr

--debug=dbglvl
    Program tracing written to stderr (where dbglvl is a number 1,2,3)

--pin_versions
    When doing a restore use specified version, do not follow defaults

-d --default
    List default modules only when used with avail

-q --quiet
    Do not print out warnings

--expert
    Expert mode

-t --terse
    Write out in machine readable format for commands: list, avail, spider, savelist

--initial_load
    loading Lmod for first time in a user shell

--latest
    Load latest (ignore default)

-I --ignore_cache
    Treat the cache file(s) as out-of-date

--novice
    Turn off expert and quiet flag

--raw
    Print modulefile in raw output when used with show

-w twidth --width=twidth
    Use this as max term width

-v --version
    Print version info and quit

-r --regexp
    use regular expression match

--gitversion
    Dump git version in a machine readable way and quit

--dumpversion
    Dump version in a machine readable way and quit

--dumpname
    Dump the name Lmod in a machine readable way and quit

--check_syntax --checkSyntax
    Checking module command syntax: do not load

--config
    Report Lmod Configuration

--miniConfig
    Report Lmod Configuration differences

--config_json
    Report Lmod Configuration in json format

--mt
    Report Module Table State

--timer
    report run times

-f --force
    force removal of a sticky module or save an empty collection

--redirect
    Send the output of list, avail, spider to stdout (not stderr)

--no_redirect
    Force output of list, avail and spider to stderr

--show_hidden -A --all
    Avail and spider will report hidden modules

--spider_timeout=timeout
    a timeout for spider

-T --trace
    trace major changes such as loads

--nx --no_extensions
    Do not print extensions

--loc --location
    Just print the file location when using show

--terse_show_extensions
    report extensions when doing a terse avail

--pod
    Generate pod format

COMMAND OVERVIEW
module [options] sub-command [args ...]

Help sub-commands:

  help                              prints this message
  help                module [...]  print help message from module(s)

Loading/Unloading sub-commands:

  load | add          module [...]  load module(s)
  try-load | try-add  module [...]  Add module(s), do not complain if not
                                    found
  del | unload        module [...]  Remove module(s), do not complain if not
                                    found
  swap | sw | switch  m1 m2         unload m1 and load m2
  purge                             unload all modules
  refresh                           reload aliases from current list of
                                    modules.
  update                            reload all currently loaded modules.

Listing / Searching sub-commands:

  list                              List loaded modules
  list                s1 s2 ...     List loaded modules that match the
                                    pattern
  avail | av                        List available modules
  avail | av          string        List available modules that contain
                                    "string".
  category | cat                    List all categories
  category | cat      s1 s2 ...     List all categories that match the
                                    pattern and display their modules
  overview | ov                     List all available modules by short
                                    names with number of versions
  overview | ov       string        List available modules by short names
                                    with number of versions that contain
                                    "string"
  spider                            List all possible modules
  spider              module        List all possible version of that module
                                    file
  spider              string        List all module that contain the
                                    "string".
  spider              name/version  Detailed information about that version
                                    of the module.
  whatis              module        Print whatis information about module
  keyword | key       string        Search all name and whatis that contain
                                    "string".

Searching with Lmod:

  All searching (spider, list, avail, keyword) support regular expressions:

  -r spider           '^p'          Finds all the modules that start with
                                    `p' or `P'
  -r spider           mpi           Finds all modules that have "mpi" in
                                    their name.
  -r spider           'mpi$         Finds all modules that end with "mpi" in
                                    their name.

Handling a collection of modules:

  save | s                          Save the current list of modules to a
                                    user defined "default" collection.
  save | s            name          Save the current list of modules to
                                    "name" collection.
  reset                             The same as "restore system"
  restore | r                       Restore modules from the user's
                                    "default" or system default.
  restore | r         name          Restore modules from "name" collection.
  restore             system        Restore module state to system defaults.
  savelist                          List of saved collections.
  describe | mcc      name          Describe the contents of a module
                                    collection.
  disable             name          Disable (i.e. remove) a collection.

Deprecated commands:

  getdefault          [name]        load name collection of modules or
                                    user's "default" if no name given.
                                    ===> Use "restore" instead <====
  setdefault          [name]        Save current list of modules to name if
                                    given, otherwise save as the default
                                    list for you the user.
                                    ===> Use "save" instead. <====

Miscellaneous sub-commands:

  is-loaded           modulefile    return a true status if module is loaded
  is-avail            modulefile    return a true status if module can be
                                    loaded
  show                modulefile    show the commands in the module file.
  use [-a]            path          Prepend or Append path to MODULEPATH.
  unuse               path          remove path from MODULEPATH.
  tablelist                         output list of active modules as a lua
                                    table.

Important Environment Variables:

  LMOD_COLORIZE                     If defined to be "YES" then Lmod prints
                                    properties and warning in color.

Lmod Web Sites

  Documentation:    https://lmod.readthedocs.org
  GitHub:           https://github.com/TACC/Lmod
  SourceForge:      https://lmod.sf.net
  TACC Homepage:    https://www.tacc.utexas.edu/research-development/tacc-projects/lmod

  To report a bug please read https://lmod.readthedocs.io/en/latest/075_bug_reporting.html

AUTHOR
Robert McLay mclay@tacc.utexas.edu